Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Interface ParameterController

All Superinterfaces:
  Parameter

    public interface ParameterController

extends Parameter

`ParameterController` encapsulates setter methods used when initializing instances of `Parameter`. This interface does not have any runtime specific dependencies, as it is intended for reuse across different component runtime environments where brokered communication across components may be supported. See the getter methods in `Parameter` for a detailed description of the attributes which are set by the methods in this interface.

In the WebSphere Portal environment, `ParameterController` objects may be programmatically created using `PropertyBrokerService`, followed by invoking the setter methods of this interface, or these objects may be implicitly created by the runtime using information provided in a WSDL file.

Since:
  5.1
See Also:
  `PropertyBrokerService`, `Property`, `Action`, `Parameter`

Method Summary
`void` | `setBindingType(ParameterBindingType value)` Set where the parameter is bound.
`void` | `setDescription(java.lang.String description, java.util.Locale locale)` Set a string containing a description of the parameter.
`void` | `setPresentIfNullValue(boolean value)` Set the flag controlling if null valued parameters are to be treated as being present or absent (i.e if the null value is significant for the purposes of triggering brokered communication).
`void` | `setTitle(java.lang.String title, java.util.Locale locale)` Set a string containing a short description of the parameter.

Methods inherited from interface com.ibm.portal.propertybroker.property.Parameter
`getAction, getBindingType, getDescription, getName, getProperty, getSupportedLocales, getTitle, isPresentIfNullValue`

Method Detail

### setBindingType

    void setBindingType(ParameterBindingType value)

  Set where the parameter is bound. If not explicitly set, the default value is `ParameterBindingType.REQUEST_PARAMETER`. This method is optional.

  Parameters:
    `value` - A `ParameterBindingType` that specifies where the parameter is bound. The defined allowed values are specified by the constants in the `Parameter` interface.
  See Also:
    `#ParameterBindingType`

### setTitle

    void setTitle(java.lang.String title,
                  java.util.Locale locale)

  Set a string containing a short description of the parameter.

  Parameters:
    `title` - a `String` containing a short description of the parameter.
    `locale` - the current locale
  See Also:
    `Parameter#setTitle(Locale)`

### setDescription

    void setDescription(java.lang.String description,
                        java.util.Locale locale)

  Set a string containing a description of the parameter.

  Parameters:
    `description` - a `String` containing a description of the parameter.
    `locale` - the current locale
  See Also:
    `Parameter.getDescription(Locale)`

### setPresentIfNullValue

    void setPresentIfNullValue(boolean value)

  Set the flag controlling if null valued parameters are to be treated as being present or absent (i.e if the null value is significant for the purposes of triggering brokered communication). See the javadoc for the `isPresentIfNullValue` method in the `Parameter` class for a description of the flag.

  Parameters:
    `value` - the value for the presentIfNullValue flag
  See Also:
    `Parameter.isPresentIfNullValue()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD